Index: CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/IPSLESM/AER/piControl/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/IPSLESM/AER/piControl/COMP/pisces.card	(revision 3969)
+++ CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/IPSLESM/AER/piControl/COMP/pisces.card	(revision 3969)
@@ -0,0 +1,124 @@
+[Compatibility]
+libIGCM=1.0
+
+[UserChoices]
+OutputLevel=1
+
+[InitialStateFiles]
+List= ()
+
+[BoundaryFiles]
+List=	()
+
+ListNonDel=  (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/DIC_GLODAPv2.1_annual_eORCA_R1.nc         , . ), \
+             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/Alkalini_GLODAPv2.1_annual_eORCA_R1.nc    , . ), \
+             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/O2_WOA2009_monthly_eORCA_R1.nc            , . ), \
+             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/PO4_WOA2009_monthly_eORCA_R1.nc           , . ), \
+             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/Si_WOA2009_monthly_eORCA_R1.nc            , . ), \
+             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/DOC_PISCES_monthly_eORCA_R1.nc            , . ), \
+             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/Fer_PISCES_monthly_eORCA_R1.nc            , . ), \
+             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/NO3_WOA2009_monthly_eORCA_R1.nc           , . ), \
+             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/Dust_inca_LOI/DUST_INCA_LOI6012-histAER_1M_1850.nc, dust.orca.nc       ), \
+             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/Dust_inca_LOI/weights_LMD144142_eORCA1_bilinear.nc, weights_lmd144142_bilin.nc ), \
+             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/pmarge_etopo_eORCA_R1.nc                  , . ), \
+             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/river_global_news_eORCA_R1.nc             , . ), \
+             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/Ndep_input4MIPs/Ndep_input4MIPs_surfaceFluxes_CMIP_NCAR-CCMI-2-0_gn_185001-185012-clim.nc , ndeposition.orca.nc ), \
+             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/Ndep_input4MIPs/weights_CMIP_NCAR-CCMI_eORCA1_bilinear.nc, weights_2d_bilin.nc ), \
+             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/par_fraction_gewex_clim90s00s_366days_eORCA_R1.nc , par_fraction_gewex_clim90s00s_eORCA_R1.nc ), \
+             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/Solubility_T62_Mahowald_eORCA_R1.nc       , . )
+
+										  
+[SmoothFiles]
+List=  ()
+
+[ParametersFiles]
+List=	(${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_top_ref                             , namelist_top_ref           ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_pisces_ref                          , namelist_pisces_ref        ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_cfc_ref                             , namelist_cfc_ref           ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-pisces.xml   , field_def_nemo-pisces.xml  ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-inerttrc.xml , field_def_nemo-inerttrc.xml), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/CFCs_CDIAC.dat              , CFCs_CDIAC.dat             ), \
+     	(${SUBMIT_DIR}/PARAM/namelist_top_${RESOL_OCE}piC_cfg                                  , namelist_top_cfg           ), \
+        (${SUBMIT_DIR}/PARAM/namelist_pisces_${RESOL_OCE}_cfg                                  , namelist_pisces_cfg        ), \
+        (${SUBMIT_DIR}/PARAM/namelist_cfc_cfg                                                  , namelist_cfc_cfg           ), \
+        (${SUBMIT_DIR}/PARAM/file_def_nemo-pisces.xml                                          , file_def_nemo-pisces.xml   )
+        
+
+[RestartFiles]
+List=	(${config_UserChoices_JobName}_${NEMO_END}_restart_trc.nc,  restart_trc.nc, restart_trc.nc)
+
+[OutputText]
+List=   (namelist_top_ref, namelist_cfg, namelist_pisces_ref, namelist_pisces_cfg, tracer.stat)
+
+[OutputFiles]
+List=   (${config_UserChoices_JobName}_1y_ptrc_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_ptrc_T.nc    , NONE   ) , \
+        (${config_UserChoices_JobName}_1y_diad_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_diad_T.nc    , NONE   ) , \
+        (${config_UserChoices_JobName}_1y_inerttrc.nc      , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_inerttrc.nc  , NONE      ) , \
+    	(${config_UserChoices_JobName}_1m_bioscalar.nc     , ${R_OUT_MBG_O_M}/${PREFIX}_1M_bioscalar.nc , Post_1M_bioscalar) , \
+        (${config_UserChoices_JobName}_1m_ptrc_T.nc        , ${R_OUT_MBG_O_M}/${PREFIX}_1M_ptrc_T.nc    , NONE) , \
+        (${config_UserChoices_JobName}_1m_diad_T.nc        , ${R_OUT_MBG_O_M}/${PREFIX}_1M_diad_T.nc    , NONE) , \
+    	(${config_UserChoices_JobName}_1d_bioscalar.nc     , ${R_OUT_MBG_O_D}/${PREFIX}_1D_bioscalar.nc , NONE)
+
+[Post_1D_bioscalar]
+Patches = ()
+GatherWithInternal = (time_counter, time_instant, time_instant_bounds)
+TimeSeriesVars2D = (pno3tot, ppo4tot, psiltot, palktot, pfertot, tcflx, tcflxcum, tcexp, tintpp, tnfix, tdenit)
+ChunckJob2D = NONE
+TimeSeriesVars3D = ()
+ChunckJob3D = NONE
+Seasonal=OFF
+
+[Post_1M_bioscalar]
+Patches = ()
+GatherWithInternal = (time_counter, time_instant, time_instant_bounds)
+TimeSeriesVars2D = (pno3tot, ppo4tot, psiltot, palktot, pfertot, tcflx, tcflxcum, tcexp, tintpp, tnfix, tdenit)
+ChunckJob2D = NONE
+TimeSeriesVars3D = ()
+ChunckJob3D = NONE
+Seasonal=OFF
+
+[Post_1M_ptrc_T]
+Patches = ()
+GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
+TimeSeriesVars2D = ()
+ChunckJob2D = OFF
+TimeSeriesVars3D = (Alkalini, NCHL, DCHL, DIC, Fer, NO3, O2, PO4, Si)
+ChunckJob3D = OFF
+Seasonal=OFF
+
+[Post_1M_diad_T]
+Patches = ()
+GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
+TimeSeriesVars2D = (Cflx, Dpco2, EPC100, INTPP)
+ChunckJob2D = OFF
+TimeSeriesVars3D = (TPP)
+ChunckJob3D = OFF
+Seasonal=OFF
+
+[Post_1Y_ptrc_T]
+Patches = ()
+GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
+TimeSeriesVars2D = ()
+ChunckJob2D = OFF
+TimeSeriesVars3D = (Alkalini, NCHL, DCHL, DIC, Fer, NO3, O2, PO4, Si )
+ChunckJob3D = NONE
+Seasonal=OFF
+
+[Post_1Y_diad_T]
+Patches = ()
+GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
+TimeSeriesVars2D = (Cflx, Dpco2, EPC100, Heup,  Nfix)
+ChunckJob2D = 50Y
+TimeSeriesVars3D = (PAR, TPP)
+ChunckJob3D = 50Y
+Seasonal=OFF
+
+[Post_1Y_inerttrc]
+Patches = ()
+GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
+TimeSeriesVars2D = ()
+ChunckJob2D = OFF
+TimeSeriesVars3D = (Age)
+ChunckJob3D = NONE
+Seasonal=OFF
+
Index: CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/IPSLESM/AER/piControl/COMP/stomate.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/IPSLESM/AER/piControl/COMP/stomate.card	(revision 3969)
+++ CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/IPSLESM/AER/piControl/COMP/stomate.card	(revision 3969)
@@ -0,0 +1,59 @@
+[Compatibility]
+libIGCM=1.0
+
+[UserChoices]
+
+# Specify output level for output files
+# Only the files stomate_history.nc and stomate_ipcc_history.nc can be set here.
+# output_level_filname=0     : lowest level writing only variables needed for the monitoring
+# output_level_filname=1     : highest level which will output all variables
+# output_level_filname=NONE  : deactivate the file
+output_level_stomate_history = 0 
+output_level_stomate_ipcc_history = 0
+
+# Specify output frequency for each file [1y, 1mo, 1d]
+# Settings using WriteFrequency in config.card are not longer used
+output_freq_stomate_history = 1mo
+output_freq_stomate_ipcc_history = 1mo
+
+
+[InitialStateFiles]
+List=   ()
+
+[BoundaryFiles]
+List=   ()
+ListNonDel= ()
+
+[SmoothFiles]
+List=   ()
+
+[ParametersFiles]
+List=   ()
+
+[RestartFiles]
+List=   (stomate_rest_out.nc, stomate_rest.nc, stomate_rest_in.nc)
+
+[OutputText]
+List=   ()
+
+[OutputFiles]
+List=   (stomate_history.nc,      ${R_OUT_SBG_O_M}/${PREFIX}_1M_stomate_history.nc,      Post_1M_stomate_history),    \
+        (stomate_ipcc_history.nc, ${R_OUT_SBG_O_M}/${PREFIX}_1M_stomate_ipcc_history.nc, Post_1M_stomate_ipcc_history)
+
+[Post_1M_stomate_history]
+Patches = ()
+GatherWithInternal = (lon, lat, Areas, CONTFRAC, time_counter, time_centered, time_centered_bounds)
+TimeSeriesVars2D = (CONVFLUX,CFLUX_PROD10,CFLUX_PROD100,HARVEST_ABOVE,WOOD_HARVEST)
+ChunckJob2D = NONE
+TimeSeriesVars3D = (VEGET_COV_MAX,NPP,GPP,HET_RESP,MAINT_RESP,GROWTH_RESP,TOTAL_M,TOTAL_BM_LITTER,TOTAL_SOIL_CARB,WOOD_HARVEST_PFT)
+ChunckJob3D = NONE
+Seasonal = ON
+
+[Post_1M_stomate_ipcc_history]
+Patches = ()
+GatherWithInternal = (lon, lat, Areas, CONTFRAC, time_counter, time_centered, time_centered_bounds)
+TimeSeriesVars2D = (cProduct, lai, gpp, ra, fLuc, nbp, fVegLitter, fLitterSoil, cLeaf, cWood, cRoot, cMisc, cLitterAbove, cLitterBelow, cSoilFast, cSoilMedium, cSoilSlow, cMassVariation, treeFracPrimDec, treeFracPrimEver, c3PftFrac, c4PftFrac, rGrowth, rMaint, nppLeaf, nppWood, nppRoot, nep, fWoodharvest, cVegCrop, cLitterCrop, cSoilCrop, nppCrop, raCrop)
+ChunckJob2D = NONE
+TimeSeriesVars3D = ()
+ChunckJob3D = NONE
+Seasonal = ON
Index: CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/IPSLESM/AER/piControl/COMP/xios.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/IPSLESM/AER/piControl/COMP/xios.card	(revision 3969)
+++ CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/IPSLESM/AER/piControl/COMP/xios.card	(revision 3969)
@@ -0,0 +1,29 @@
+[Compatibility]
+libIGCM=1.0
+
+[UserChoices]
+
+[InitialStateFiles]
+List=	()
+
+[BoundaryFiles]
+List=	()
+ListNonDel= ()
+
+[SmoothFiles]
+List=	()
+
+[ParametersFiles]
+List=	()
+
+[RestartFiles]
+List=  (NONE)
+
+[OutputText]
+List=   (out_xios.x.err.*, out_xios.x.out.*, debug_notroot.03, debug.root.03)
+
+[OutputFiles]
+List=   ()
+
+
+
Index: CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/IPSLESM/AER/piControl/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/IPSLESM/AER/piControl/config.card	(revision 3969)
+++ CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/IPSLESM/AER/piControl/config.card	(revision 3969)
@@ -0,0 +1,222 @@
+#
+# This is config.card file for IPSLCM6 configuration
+#
+#========================================================================
+#D-- Compatibility -
+[Compatibility]
+libIGCM=1.0
+#D-- UserChoices -
+[UserChoices]
+#===========================
+JobName= CPLAER.pi.01
+#----- Short Name of Experiment
+ExperimentName=piControl
+#----- DEVT TEST PROD
+SpaceName=DEVT
+LongName="IPSLCM6.1.5-LR"
+#ModelName=
+TagName=IPSLESM6
+#D- Choice of experiment in EXPERIMENTS directory
+ExpType=IPSLESM/AER/piControl
+#============================
+#-- leap, noleap, 360d
+CalendarType=leap
+#-- Experiment dates : Beginning and ending
+#-- "YYYY-MM-DD"
+DateBegin=1850-01-01
+DateEnd=1850-12-31
+#============================
+ORCA_version=eORCA1.2
+#============================
+#-- 1Y, 1M, 5D, 1D Period Length of one trunk of simulation
+PeriodLength=1M
+
+#D- For curie, use ccc_mprun as suggested by TGCC
+#ExecutionModeOnCurie=ccc_mprun
+#========================================================================
+#D-- Restarts -
+[Restarts]
+#D- by default: config.card describes no restart for all components 
+#D-             ie start from Levitus or limit files
+#D- If you want to restart all components from the same simulation,
+#D-      put OveRule flag to 'y' and set the next 3 parameters
+OverRule=n
+#D- Last day of the experience used as restart for all components
+RestartDate=1849-12-31
+#D- Define restart simulation name for all components
+RestartJobName=CM61-pre-pi-01
+#D- Path Server Group Login
+RestartPath=${R_IN}/RESTART/IPSLCM6/PROD/piControl-spinup
+
+#========================================================================
+#D-- ATM -
+[ATM]
+WriteFrequency="1M HF"
+# If config_Restarts_OverRule == 'n' next 4 params are read
+Restart= n
+# Last day of the experience used as restart for this component if Restart=y
+RestartDate=1849-12-31
+#D- Define restart simulation name for this component
+RestartJobName=CM61-pre-pi-01
+#D- Path Server Group Login
+RestartPath=${R_IN}/RESTART/IPSLCM6/PROD/piControl-spinup
+
+#========================================================================
+#D-- OCE -
+[OCE]
+WriteFrequency="5D 1M"
+# If config_Restarts_OverRule == 'n' next 4 params are read
+Restart= y
+#-- Last day of the experience used as restart for this component if Restart=y
+RestartDate=1849-12-31
+#D- Define restart simulation name for this component
+RestartJobName=CM61-pre-pi-01
+#D- Path Server Group Login
+RestartPath=${R_IN}/RESTART/IPSLCM6/PROD/piControl-spinup
+
+#========================================================================
+#D-- ICE -
+[ICE]
+WriteFrequency="1M"
+# If config_Restarts_OverRule == 'n' next 4 params are read
+Restart= y
+##-- Last day of the experience used as restart for this component if Restart=y
+RestartDate=1849-12-31
+#D- Define restart simulation name for this component
+RestartJobName=CM61-pre-pi-01
+#D- Path Server Group Login
+RestartPath=${R_IN}/RESTART/IPSLCM6/PROD/piControl-spinup
+
+#========================================================================
+#D-- MBG -
+[MBG]
+WriteFrequency="1M 1Y"
+Restart= y
+##-- Last day of the experience used as restart for this component if Restart=y
+RestartDate=1849-12-31
+#D- Define restart simulation name for this component
+RestartJobName=CM61-pre-pi-01
+#D- Path Server Group Login
+RestartPath=${R_IN}/RESTART/IPSLCM6/PROD/piControl-spinup
+
+#========================================================================
+#D-- SRF -
+[SRF]
+# WriteFrequency is not used for ORCHIDEE, see orchidee.card/stomate.card 
+WriteFrequency=""
+# If config_Restarts_OverRule == 'n' next 4 params are read
+Restart= y
+# Last day of the experience used as restart for this component if Restart=y
+RestartDate=1849-12-31
+#D- Define restart simulation name for this component
+RestartJobName=CM61-pre-pi-01
+#D- Path Server Group Login
+RestartPath=${R_IN}/RESTART/IPSLCM6/PROD/piControl-spinup
+
+#========================================================================
+#D-- SBG - STOMATE
+[SBG]
+# WriteFrequency is not used for ORCHIDEE, see orchidee.card/stomate.card 
+WriteFrequency=""
+# If config_Restarts_OverRule == 'n' next 4 params are read
+Restart= y
+# Last day of the experience used as restart for this component if Restart=y
+RestartDate=1849-12-31
+#D- Define restart simulation name for this component
+RestartJobName=CM61-pre-pi-01
+#D- Path Server Group Login
+RestartPath=${R_IN}/RESTART/IPSLCM6/PROD/piControl-spinup
+
+#========================================================================
+#D-- CPL -
+[CPL]
+WriteFrequency="1M"
+# If config_Restarts_OverRule == 'n' next 4 params are read
+Restart= y
+# Last day of the experience used as restart for this component if Restart=y
+RestartDate=1849-12-31
+#D- Define restart simulation name for this component
+RestartJobName=CM61-pre-pi-01
+#D- Path Server Group Login
+RestartPath=${R_IN}/RESTART/IPSLCM6/PROD/piControl-spinup
+
+#========================================================================
+#D-- IOS -
+[IOS]
+WriteFrequency=""
+# If config_Restarts_OverRule == 'n' next 4 params are read
+Restart= n
+##-- Last day of the experience used as restart for this component if Restart=y
+RestartDate=
+# Define restart simulation name for this component
+RestartJobName=
+RestartPath=
+
+#========================================================================
+#D-- CHM -
+[CHM]
+#D-- choose inca writefrequency between 1D or 1M. it is not possible to cumulate both of them
+#D-- you can also manage the writefrequency in INCA/src/INCA_XML/file_*.xml files
+WriteFrequency="1D"
+Restart=n
+#D-- Last day of the experience used as restart
+RestartDate=2000-01-01
+#D-- Define restart simulation name
+RestartJobName=JobName
+RestartPath=${ARCHIVE}/IGCM_OUT/LMDZORINCA/NMHC_AER
+
+#========================================================================
+#D-- ListOfComponents -
+[ListOfComponents]
+#D- For each component, Name of component, Tag of component
+ATM= (lmdz, LMDZ-IPSLCM6.0.15-r3329)
+SRF= (orchidee, tag-ORCHIDEE_2_0-5229)
+SBG= (stomate, tag-ORCHIDEE_2_0-5229)
+OCE= (opa9, nemo_v3_6_STABLE-r9455)
+ICE= (lim3, nemo_v3_6_STABLE-r9455)
+MBG= (pisces, nemo_v3_6_STABLE-r9455)
+CPL= (oasis, oasis3-mct-r1818)
+CHM= (inca, INCA5) 
+IOS= (xios, dev-cmip6-r1475)
+
+#========================================================================
+#D-- Executable -
+[Executable]
+#D- For each component, Real name of executable, Name of executable for oasis
+ATM= (gcm.e, lmdz.x, 71MPI, 8OMP)
+SRF= ("" ,"" )
+SBG= ("" ,"" )
+OCE= (opa, opa.xx, 360MPI)
+ICE= ("" ,"" )
+MBG= ("" ,"" )
+CPL= ("", "" )
+CHM= ("", "")
+IOS= (xios_server.exe, xios.x, 1MPI)
+
+#========================================================================
+#D-- Post -
+[Post]
+ParserXIOS=FALSE
+#D- Do we rebuild parallel output, this flag determines
+#D- frequency of rebuild submission (use NONE for DRYRUN=3)
+RebuildFrequency=NONE
+#D- Do we pack restart and debug txt files, this flag determines
+#D- frequency of pack submission (use NONE for DRYRUN=3)
+PackFrequency=1Y
+#D- To have only the last period in RESTART/*.tar : save 90% of volume.
+#D- TRUE to be effective (nothing by default)
+LightRestartPack=FALSE
+#D- If you want to produce time series, this flag determines
+#D- frequency of post-processing submission (NONE if you dont want)
+TimeSeriesFrequency=1Y
+#D- If you want to produce seasonal average, this flag determines
+#D- the period of this average (NONE if you dont want)
+SeasonalFrequency=NONE
+#D- If you want to produce compute PCMDI metrics from seasonal average
+#D- Set FALSE to deactivate the metrics computation.
+MetricsPCMDI=FALSE
+#D- Offset for seasonal average first start dates ; same unit as SeasonalFrequency
+#D- Usefull if you do not want to consider the first X simulations years
+SeasonalFrequencyOffset=0
+
+#========================================================================
Index: CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card	(revision 3967)
+++ CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card	(revision 3969)
@@ -13,5 +13,9 @@
 ok_aie=y
 aerosol_couple=n
-read_climoz=1
+# read_climoz : interpolation of ozone files. 
+# Use read_climoz=1 for CMIP6 ozone files, 2 for CMIP5 ozone files and 0 for no interpolation
+# LMDZ6/trunk revision 3281 or later is needed for read_climoz=1 (not included in branche IPSLCM6.0.15)
+read_climoz=0
+
 ok_cdnc=y
 
@@ -20,10 +24,10 @@
 
 [BoundaryFiles]
-List=   (${R_IN}/ATM/LIMIT/AMIP.v20170419/original/360x180/BCS/amipbc_sst_360x180_${year}.nc,    amipbc_sst_1x1.nc), \
-	(${R_IN}/ATM/LIMIT/AMIP.v20170419/original/360x180/BCS/amipbc_sst_360x180_${year_m1}.nc, amipbc_sst_1x1_m.nc), \
-	(${R_IN}/ATM/LIMIT/AMIP.v20170419/original/360x180/BCS/amipbc_sst_360x180_${year_p1}.nc, amipbc_sst_1x1_p.nc), \
-	(${R_IN}/ATM/LIMIT/AMIP.v20170419/original/360x180/BCS/amipbc_sic_360x180_${year}.nc,    amipbc_sic_1x1.nc), \
-	(${R_IN}/ATM/LIMIT/AMIP.v20170419/original/360x180/BCS/amipbc_sic_360x180_${year_m1}.nc, amipbc_sic_1x1_m.nc), \
-	(${R_IN}/ATM/LIMIT/AMIP.v20170419/original/360x180/BCS/amipbc_sic_360x180_${year_p1}.nc, amipbc_sic_1x1_p.nc), \
+List=   (${R_IN}/ATM/LIMIT/AMIP.v20180427/original/360x180/BCS/amipbc_sst_360x180_${year}.nc,    amipbc_sst_1x1.nc), \
+	(${R_IN}/ATM/LIMIT/AMIP.v20180427/original/360x180/BCS/amipbc_sst_360x180_${year_m1}.nc, amipbc_sst_1x1_m.nc), \
+	(${R_IN}/ATM/LIMIT/AMIP.v20180427/original/360x180/BCS/amipbc_sst_360x180_${year_p1}.nc, amipbc_sst_1x1_p.nc), \
+	(${R_IN}/ATM/LIMIT/AMIP.v20180427/original/360x180/BCS/amipbc_sic_360x180_${year}.nc,    amipbc_sic_1x1.nc), \
+	(${R_IN}/ATM/LIMIT/AMIP.v20180427/original/360x180/BCS/amipbc_sic_360x180_${year_m1}.nc, amipbc_sic_1x1_m.nc), \
+	(${R_IN}/ATM/LIMIT/AMIP.v20180427/original/360x180/BCS/amipbc_sic_360x180_${year_p1}.nc, amipbc_sic_1x1_p.nc), \
 	(${R_IN}/ATM/OZONE/UReading/historical.v20160711.v2/original/144x96x66/tro3_${year_m1}.nc, climoz_m.nc), \
 	(${R_IN}/ATM/OZONE/UReading/historical.v20160711.v2/original/144x96x66/tro3_${year}.nc, climoz.nc), \
Index: CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/LMDZ/CREATE_clim_360d/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/LMDZ/CREATE_clim_360d/COMP/lmdz.card	(revision 3967)
+++ CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/LMDZ/CREATE_clim_360d/COMP/lmdz.card	(revision 3969)
@@ -13,5 +13,9 @@
 ok_aie=y
 aerosol_couple=n
-read_climoz=1
+
+# read_climoz : interpolation of ozone files. 
+# Use read_climoz=1 for CMIP6 ozone files, 2 for CMIP5 ozone files and 0 for no interpolation
+# LMDZ6/trunk revision 3281 or later is needed for read_climoz=1 (not included in branche IPSLCM6.0.15)
+read_climoz=0
 ok_cdnc=y
 
@@ -29,6 +33,6 @@
 	(${R_IN}/ATM/landiceref.nc, .) \
 	(${R_IN}/ATM/OZONE/UReading/historical.v20160711.v2/original/144x96x66/tro3_1979_2008_clim.nc, climoz.nc), \
-	(${R_IN}/ATM/LIMIT/AMIP.v20170419/original/360x180/BCS/amipbc_sst_360x180_1979_2008_clim.nc, amipbc_sst_1x1.nc), \
-	(${R_IN}/ATM/LIMIT/AMIP.v20170419/original/360x180/BCS/amipbc_sic_360x180_1979_2008_clim.nc, amipbc_sic_1x1.nc), \
+	(${R_IN}/ATM/LIMIT/AMIP.v20180427/original/360x180/BCS/amipbc_sst_360x180_1979_2008_clim.nc, amipbc_sst_1x1.nc), \
+	(${R_IN}/ATM/LIMIT/AMIP.v20180427/original/360x180/BCS/amipbc_sic_360x180_1979_2008_clim.nc, amipbc_sic_1x1.nc), \
 	(${R_IN}/ATM/START/eORCA1.2xLMD144x142/o2a_v3.nc, o2a.nc)
 
@@ -54,5 +58,5 @@
 
 [OutputText]
-List=   (physiq.def, gcm.def, vert.def, run.def, config.def, traceur.def, guide.def,out_create_etat0_limit.e.err, out_create_etat0_limit.e.out)
+List=   (physiq.def, gcm.def, vert.def, run.def, config.def, traceur.def, guide.def,out_create_etat0_limit.e.err*, out_create_etat0_limit.e.out*)
 
 [OutputFiles]
Index: CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/LMDZ/clim_360d/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/LMDZ/clim_360d/COMP/lmdz.card	(revision 3967)
+++ CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/LMDZ/clim_360d/COMP/lmdz.card	(revision 3969)
@@ -26,4 +26,7 @@
 read_climoz=1
 ok_cdnc=y
+
+# Set tau_gl depending on the forcing file for the sea-ice (use 2. for amip and 1. for hadisst)
+tau_gl=2.
 
 # ByPass_hgardfou_teta=y : modify teta_ parameters for following CumulPeriod only
Index: CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card	(revision 3967)
+++ CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card	(revision 3969)
@@ -27,4 +27,7 @@
 ok_cdnc=y
 
+# Set tau_gl depending on the forcing file for the sea-ice (use 2. for amip and 1. for hadisst)
+tau_gl=2.
+
 # ByPass_hgardfou_teta=y : modify teta_ parameters for following CumulPeriod only
 ByPass_hgardfou_teta=n
@@ -66,4 +69,5 @@
 
 # Note: the SOLARANDVOLCANOES.txt is only used for LMDZ_Physics=AP and NPv3.2 (if ok_suntime_rrtm=n)
+# Add the following file for LMDZ_Physics=AP (${R_IN}/ATM/IPCC_AR5/HISTORIQUE/SOLARANDVOLCANOES_1610_2008.txt, SOLARANDVOLCANOES.txt)
 ListNonDel= (${R_IN}/ATM/GHG/CMIP6/historical/CO2_CMIP6_0000_2014.txt, CO2.txt),\
             (${R_IN}/ATM/GHG/CMIP6/historical/CH4_CMIP6_0000_2014.txt, CH4.txt),\
@@ -71,5 +75,4 @@
             (${R_IN}/ATM/GHG/CMIP6/historical/CFC11eq_CMIP6_0000_2014.txt, CFC11.txt),\
             (${R_IN}/ATM/GHG/CMIP6/historical/CFC12eq_CMIP6_0000_2014.txt, CFC12.txt),\
-            (${R_IN}/ATM/IPCC_AR5/HISTORIQUE/SOLARANDVOLCANOES_1610_2008.txt, SOLARANDVOLCANOES.txt),\
             (${R_IN}/ATM/AEROSOLS/CMIP6/v1/${RESOL_ATM_XY}/L${RESOL_ATM_Z}/aerosols1850_from_inca.nc, aerosols.nat.nc)
 
Index: CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/LMDZOR/clim_360d/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/LMDZOR/clim_360d/COMP/lmdz.card	(revision 3967)
+++ CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/LMDZOR/clim_360d/COMP/lmdz.card	(revision 3969)
@@ -26,4 +26,7 @@
 read_climoz=1
 ok_cdnc=y
+
+# Set tau_gl depending on the forcing file for the sea-ice (use 2. for amip and 1. for hadisst)
+tau_gl=2.
 
 # ByPass_hgardfou_teta=y : modify teta_ parameters for following CumulPeriod only
Index: CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/lmdz.card	(revision 3967)
+++ CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/lmdz.card	(revision 3969)
@@ -26,4 +26,7 @@
 read_climoz=1
 ok_cdnc=y
+
+# Set tau_gl depending on the forcing file for the sea-ice (use 2. for amip and 1. for hadisst)
+tau_gl=2.
 
 # ByPass_hgardfou_teta=y : modify teta_ parameters for following CumulPeriod only
Index: CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/DRIVER/lmdz.driver
===================================================================
--- CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/DRIVER/lmdz.driver	(revision 3967)
+++ CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/DRIVER/lmdz.driver	(revision 3969)
@@ -159,4 +159,42 @@
     IGCM_comp_modifyDefFile nonblocker config.def solaire $value
 
+    # Read value for eccentricity from file Eccentricity.txt. If file not existing, take DEFAULT value from file.
+    if [ -f Eccentricity.txt ] ; then
+	value=`grep Annee_${year} Eccentricity.txt | awk -F= '{print $2}'`
+	if [ X"${value}" = X ] ; then
+	    # The grep returned empty variable, stop execution
+	    IGCM_debug_Exit "The file Eccentricity.txt do not contain the current year."
+	    IGCM_debug_Verif_Exit
+	fi
+    else
+	value=DEFAULT
+    fi
+    IGCM_comp_modifyDefFile nonblocker config.def R_ecc $value
+
+    # Read value for obliquity from file Obliquity.txt. If file not existing, take DEFAULT value from file.
+    if [ -f Obliquity.txt ] ; then
+	value=`grep Annee_${year} Obliquity.txt | awk -F= '{print $2}'`
+	if [ X"${value}" = X ] ; then
+	    # The grep returned empty variable, stop execution
+	    IGCM_debug_Exit "The file Obliquity.txt do not contain the current year."
+	    IGCM_debug_Verif_Exit
+	fi
+    else
+	value=DEFAULT
+    fi
+    IGCM_comp_modifyDefFile nonblocker config.def R_incl $value
+
+    # Read value for perihelie from file Perihelie.txt. If file not existing, take DEFAULT value from file.
+    if [ -f Perihelie.txt ] ; then
+	value=`grep Annee_${year} Perihelie.txt | awk -F= '{print $2}'`
+	if [ X"${value}" = X ] ; then
+	    # The grep returned empty variable, stop execution
+	    IGCM_debug_Exit "The file Perihelie.txt do not contain the current year."
+	    IGCM_debug_Verif_Exit
+	fi
+    else
+	value=DEFAULT
+    fi
+    IGCM_comp_modifyDefFile nonblocker config.def R_peri $value
 
     # Read value for co2_ppm from file CO2.txt. If file not existing, take DEFAULT value from file. 
@@ -349,5 +387,5 @@
     else
 	echo "LMDZ is running in forced mode without ocean model, set type_ocean=force in run.def"
-	IGCM_comp_modifyDefFile blocker run.def type_ocean force
+	IGCM_comp_modifyDefFile nonblocker run.def type_ocean force
     fi
 
@@ -401,4 +439,11 @@
     fi 
 
+    # config.def : Activate online Ozone chemistry coupled model if chemistry_couple=y
+    if [ ! X${lmdz_UserChoices_chemistry_couple} = X ]; then 
+	IGCM_comp_modifyDefFile nonblocker config.def chemistry_couple ${lmdz_UserChoices_chemistry_couple}
+    else
+	IGCM_comp_modifyDefFile nonblocker config.def chemistry_couple n
+    fi 
+
     # config.def : Activate reading of ozone in climatology if read_climoz=2
     if [ ! X${lmdz_UserChoices_read_climoz} = X ]; then 
@@ -439,4 +484,13 @@
     fi 
 
+    # physiq.def : Modify parameter tau_gl if it is set in lmdz.card
+    if [ ! X${lmdz_UserChoices_tau_gl} = X ]; then 
+	IGCM_comp_modifyDefFile nonblocker physiq.def tau_gl ${lmdz_UserChoices_tau_gl}
+    else
+	# Take default value set in physiq.def
+	IGCM_comp_modifyDefFile nonblocker config.def tau_gl DEFAULT
+    fi
+   
+
     # guide.def : Activate nudging if ok_guide=y set in lmdz.card
     if [ ! X${lmdz_UserChoices_ok_guide} = X ] ; then
@@ -445,4 +499,5 @@
 	IGCM_comp_modifyDefFile nonblocker guide.def ok_guide n
     fi
+
 
     ## Read ByPass_hgardfou_teta option in lmdz.card --> divide teta* by 2 if [ $ByPass_hgardfou_teta = 1 ]
Index: CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/DRIVER/oasis.driver
===================================================================
--- CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/DRIVER/oasis.driver	(revision 3967)
+++ CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/DRIVER/oasis.driver	(revision 3969)
@@ -25,4 +25,7 @@
 	esac
     done
+
+    # Initialisation required for AddNoise done during one Period
+    Test_AddNoise_First_Only=y
 
     IGCM_debug_PopStack "CPL_Initialize"
@@ -99,4 +102,39 @@
     IGCM_comp_modifyXmlFile force iodef.xml using_oasis NONE true
 
+    if [ X"${Test_AddNoise_First_Only}" = X"y" ]; then
+
+    Test_AddNoise_First_Only=n
+
+    # AddNoise if required but only for one Period
+
+    # Read ByPass_addnoise_sst option in oasis.card --> apply addnoise for sst in CPL restart file if [ $ByPass_addnoise_sst = y ]
+    ByPass_addnoise_sst=${oasis_UserChoices_ByPass_addnoise_sst}
+    if [ X"${ByPass_addnoise_sst}" = X"y" ] ; then
+      
+      ByPass_PerturbExe=${oasis_UserChoices_ByPass_PerturbExe}
+      ByPass_FileOut=${oasis_UserChoices_ByPass_FileOut}
+      ByPass_PerturbVar=${oasis_UserChoices_ByPass_PerturbVar}
+      ByPass_PerturbAmp=${oasis_UserChoices_ByPass_PerturbAmp}
+
+      IGCM_sys_Chmod 644 ${RUN_DIR}/${ByPass_FileOut}.nc
+      IGCM_debug_Print 1 "${ByPass_PerturbExe} ${RUN_DIR}/${ByPass_FileOut}.nc ${ByPass_PerturbVar} ${ByPass_PerturbAmp}"
+
+      ${ByPass_PerturbExe} ${RUN_DIR}/${ByPass_FileOut}.nc ${ByPass_PerturbVar} ${ByPass_PerturbAmp} 
+      if [ $? -ne 0 ] ; then
+        IGCM_debug_Exit "Error with $( basename ${ByPass_PerturbExe} )"
+        IGCM_debug_Verif_Exit
+      fi
+
+      echo
+      IGCM_debug_Print 1 "ByPass_addnoise_sst : applied addnoise for sst in CPL restart file"
+      echo
+      ByPass_addnoise_sst=n
+      # necessary to reset ByPass in next Period during the same Job (PeriodNb<>1)
+      export oasis_UserChoicesByPass_addnoise_sst=n
+      IGCM_card_WriteOption ${SUBMIT_DIR}/COMP/oasis.card UserChoices ByPass_addnoise_sst "${ByPass_addnoise_sst}"
+    fi
+
+    fi
+
     IGCM_debug_PopStack "CPL_Update"
 }
